﻿namespace ToolsModule.Interfaces
{
	/// <summary>
	/// Работа с сущностями с применением скрытности для полей
	/// </summary>
	/// <typeparam name="T">Сущность</typeparam>
	public interface IEntitySecurityExtenstion<T>
		where T: new()
	{
		/// <summary>
		/// Обработка сущности для сокрытия важных полей
		/// </summary>
		/// <param name="entity"></param>
		/// <param name="allowFullData"></param>
		/// <returns></returns>
		T SecurityCheck(T entity, bool allowFullData);
	}
}