﻿using CoreModels.ModelsDepartment;
using ToolsModule.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace DepartmentBusinessLogic.BindingModels
{
    /// <summary>
    /// Получение ученой степени преподавателя
    /// </summary>
    public class LecturerAcademicDegreeGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение ученой степени преподавателя
    /// </summary>
    public class LecturerAcademicDegreeSetBindingModel : SetBindingModel, ILecturerAcademicDegreeModel
    {
        [Required(ErrorMessage = "required")]
        public string LecturerAcademicDegreeName { get; set; }

        public string Description { get; set; }

        [Required(ErrorMessage = "required")]
        public int Order { get; set; }
    }
}