﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с блоками дисциплин
	/// </summary>
	public class DisciplineBlockBusinessLogic : GenericBusinessLogic<DisciplineBlockGetBindingModel, DisciplineBlockSetBindingModel, DisciplineBlockListViewModel, DisciplineBlockViewModel>
	{
		public DisciplineBlockBusinessLogic(IDisciplineBlockService service) : base(service, "Аудитории", AccessOperation.Дисциплины) { }
	}
}