﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с цчеными степенями
	/// </summary>
	public class LecturerAcademicDegreeBusinessLogic : GenericBusinessLogic<LecturerAcademicDegreeGetBindingModel, LecturerAcademicDegreeSetBindingModel, LecturerAcademicDegreeListViewModel, LecturerAcademicDegreeViewModel>
	{
		public LecturerAcademicDegreeBusinessLogic(ILecturerAcademicDegreeService service) : base(service, "Преподаватели", AccessOperation.Преподаватели) { }
	}
}