﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с должностями
	/// </summary>
	public class PostBusinessLogic : GenericBusinessLogic<PostGetBindingModel, PostSetBindingModel, PostListViewModel, PostViewModel>
	{
		public PostBusinessLogic(IPostService service) : base(service, "Должности", AccessOperation.Сотрудники) { }
	}
}