﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы со студентами
	/// </summary>
	public class StudentBusinessLogic : GenericBusinessLogic<StudentGetBindingModel, StudentSetBindingModel, StudentListViewModel, StudentViewModel>
	{
		public StudentBusinessLogic(IStudentService service) : base(service, "Студенты", AccessOperation.Студенты) { }
	}
}