﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для ученой степени
	/// </summary>
	public partial class ControlLecturerAcademicDegreeElement :
		GenericControlEntityElement<LecturerAcademicDegreeGetBindingModel, LecturerAcademicDegreeSetBindingModel, LecturerAcademicDegreeListViewModel, LecturerAcademicDegreeViewModel, LecturerAcademicDegreeBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerAcademicDegreeElement()
		{
			InitializeComponent();
			Title = "Ученая степень";
			ControlId = new Guid("529eaea5-88d3-496c-8301-85bff3200611");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerAcademicDegreeElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}