﻿using SecurityContract.BindingModels;
using SecurityContract.Interfaces.IGenericEntityService;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace SecurityBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с доступами
    /// </summary>
    public class AccessBusinessLogic : GenericBusinessLogic<AccessGetBindingModel, AccessSetBindingModel, AccessListViewModel, AccessViewModel>, IAccessLogic
	{
        public AccessBusinessLogic(IAccessService service) : base(service, "Доступы", AccessOperation.Доступы) { }
	}
}