﻿using SecurityContract.BindingModels;
using SecurityContract.Interfaces.IGenericEntityService;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace SecurityBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с общими настройками системы
    /// </summary>
    public class EnviromentSettingBusinessLogic : GenericBusinessLogic<EnviromentSettingGetBindingModel, EnviromentSettingSetBindingModel,
		EnviromentSettingListViewModel, EnviromentSettingViewModel>, IEnviromentSettingLogic
    {
		public EnviromentSettingBusinessLogic(IEnviromentSettingService service) : base(service, "Настройки Среды", AccessOperation.НастройкиСреды) { }
	}
}