﻿using CoreModels.ModelsSecurity;
using ToolsModule.BindingModels;
using System.ComponentModel.DataAnnotations;

namespace SecurityContract.BindingModels
{
    /// <summary>
    /// Получение роли
    /// </summary>
	public class RoleGetBindingModel : GetBindingModel
    {
        public string RoleName { get; set; }
    }

    /// <summary>
    /// Сохранение роли
    /// </summary>
    public class RoleSetBindingModel : SetBindingModel, IRoleModel
    {
        [Required(ErrorMessage = "required")]
        public string RoleName { get; set; }

        [Required(ErrorMessage = "required")]
        public int RolePriority { get; set; }
    }
}