﻿using SecurityContract.BindingModels;
using ToolsModule.Interfaces;

namespace SecurityContract.Logics
{
    /// <summary>
    /// Логика работы с бекапом
    /// </summary>
    public interface IBackupLogic : IErrors
	{
		/// <summary>
		/// Создание бекапа с данными
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		bool CreateBackUp(BackupBindingModel model);

		/// <summary>
		/// Восстанволение данных через бекап
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		bool RestoreBackUp(BackupBindingModel model);
	}
}