﻿using SecurityContract.BindingModels;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace SecurityWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для доступа
    /// </summary>
    public partial class ControlAccessElement : 
		GenericControlEntityElement<AccessGetBindingModel, AccessSetBindingModel, AccessListViewModel, AccessViewModel, IAccessLogic>,
		IGenericControlEntityElement
	{
		public ControlAccessElement()
		{
			InitializeComponent();
			Title = "Доступы";
			ControlId = new Guid("fbe22d1d-e7b3-49f9-b013-93950aa0281b");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAccessElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}