﻿using SecurityContract.BindingModels;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace SecurityWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для сотрудника
    /// </summary>
    public partial class ControlUserElement : 
		GenericControlEntityElement<UserGetBindingModel, UserSetBindingModel, UserListViewModel, UserViewModel, IUserLogic>,
		IGenericControlEntityElement
	{
		public ControlUserElement()
		{
			InitializeComponent();
			Title = "Пользователь";
			ControlId = new Guid("5e731873-1a7e-44f5-a9b0-9529fbb01fee");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlUserElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}