﻿using SecurityContract.BindingModels;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace SecurityWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для связи сотрудника с ролью
    /// </summary>
    public partial class ControlUserRoleElement : 
		GenericControlEntityElement<UserRoleGetBindingModel, UserRoleSetBindingModel, UserRoleListViewModel, UserRoleViewModel, IUserRoleLogic>,
		IGenericControlEntityElement
	{
		public ControlUserRoleElement()
		{
			InitializeComponent();
			Title = "Связи пользователей с ролями";
			ControlId = new Guid("c5748925-c8ec-4d06-a256-c72b0983d332");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlUserRoleElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}