﻿using CoreModels.ModelsDepartment;
using ToolsModule.Interfaces;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace CoreDatabase.Models.Department
{
    [DataContract]
	public class LecturerAcademicRank : BaseEntity, IEntitySecurityExtenstion<LecturerAcademicRank>, ILecturerAcademicRankModel
	{
		[DataMember]
		[Required]
		public string LecturerAcademicRankName { get; set; }

		[DataMember]
		public int Order { get; set; }

		//-------------------------------------------------------------------------

		//-------------------------------------------------------------------------

		[ForeignKey("LecturerAcademicRankId")]
		public virtual List<Lecturer> Lecturers { get; set; }

		//-------------------------------------------------------------------------

		public LecturerAcademicRank SecurityCheck(LecturerAcademicRank entity, bool allowFullData) => entity;

		public override string ToString() => LecturerAcademicRankName;
	}
}