﻿using CoreModels.ModelsDepartment;
using ToolsModule.Interfaces;
using System;
using System.ComponentModel.DataAnnotations;
using System.Runtime.Serialization;

namespace CoreDatabase.Models.Department
{
    [DataContract]
	public class OrderSyncHistoryRecord : IdEntity, IEntitySecurityExtenstion<OrderSyncHistoryRecord>, IOrderSyncHistoryRecordModel
    {
        [DataMember]
		[Required(ErrorMessage = "required")]
		public Guid OrderSyncHistoryId { get; set; }

		[DataMember]
		[Required(ErrorMessage = "required")]
		public string Information { get; set; }

		//-------------------------------------------------------------------------

		public virtual OrderSyncHistory OrderSyncHistory { get; set; }

        //-------------------------------------------------------------------------

        //-------------------------------------------------------------------------

        public OrderSyncHistoryRecord SecurityCheck(OrderSyncHistoryRecord entity, bool allowFullData)
        {
            if (!allowFullData)
            {
                entity.Information = "скрыто";
            }

            return entity;
        }

        public override string ToString() => Information;
    }
}
