﻿using CoreModels.Tools;
using ToolsModule.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("LecturerPost", "Связь преподавателя и должность кафедры")]
	[EntityDependency("Post", "PostId", "К какой должности относится преподаватель")]
	[EntityDependency("Lecturer", "LecturerId", "К какой должности относится преподаватель")]
	public interface ILecturerPostModel : IId
	{
		[CheckRigthForMap]
		Guid LecturerId { get; }

		Guid PostId { get; }

		decimal Rate { get; }

		bool IsInternalCombination { get; }

		bool IsExternalCombination { get; }
	}
}