﻿using CoreModels.Enums.Department;
using CoreModels.Tools;
using ToolsModule.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
	[EntityDescription("Order", "Приказ")]
	public interface IOrderModel : IId
	{
		string OrderNumber { get; }

		DateTime OrderDate { get; }

		OrderType OrderType { get; }
	}
}