﻿using CoreModels.Enums.Department;
using CoreModels.Tools;
using ToolsModule.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
	[EntityDescription("StudentGroup", "Учебная группа кафедры")]
	[EntityDependency("EducationDirection", "EducationDirectionId", "Направление, по которому учится группа")]
	[EntityDependency("Lecturer", "LecturerId", "Куратор группы")]
	public interface IStudentGroupModel : IId
	{
		Guid EducationDirectionId { get; }

		int GroupNumber { get; }

		AcademicCourse AcademicCourse { get; }

		Guid? LecturerId { get; }
	}
}