﻿using CoreModels.Enums.Department;
using CoreModels.Tools;
using ToolsModule.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("Student", "Студент кафедры")]
    [EntityDependency("User", "UserId", "К какому пользователю относится студент")]
    [EntityDependency("StudentGroup", "StudentGroupId", "К какой группе относится студент")]
    public interface IStudentModel : IId
    {
        Guid UserId { get; }

        Guid? StudentGroupId { get; }

        string Iduniv { get; }

        string NumberOfBook { get; }

        string LastName { get; }

        string FirstName { get; }

        string Patronymic { get; }

        string Email { get; }

        string Description { get; }

        StudentState StudentState { get; }

        byte[] Photo { get; }

        bool IsSteward { get; }
    }
}