﻿using CoreModels.Enums.Department;
using CoreModels.Tools;
using ToolsModule.Attributes;
using System;

namespace CoreModels.ModelsDepartment
{
    [EntityDescription("TimeNorm", "Норма времени")]
    [EntityDependency("DisciplineBlock", "DisciplineBlockId", "Блок дисцпилн, к которому относится норма")]
    public interface ITimeNormModel : IId
    {
        Guid DisciplineBlockId { get; }

        string TimeNormName { get; }

        string TimeNormShortName { get; }

        int TimeNormOrder { get; }

        EducationDirectionQualification? TimeNormEducationDirectionQualification { get; }

        string KindOfLoadName { get; }

        string KindOfLoadAttributeName { get; }

        string KindOfLoadBlueAsteriskName { get; }

        string KindOfLoadBlueAsteriskAttributeName { get; }

        string KindOfLoadBlueAsteriskPracticName { get; }

        bool UseInLearningProgress { get; }

        bool UseInSite { get; }
    }
}