﻿using CoreModels.ModelsDepartment;
using ToolsModule.Interfaces;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.Serialization;

namespace CoreDatabase.Models.Department
{
    [DataContract]
	public class OrderSyncHistory : IdEntity, IEntitySecurityExtenstion<OrderSyncHistory>, IOrderSyncHistoryModel
    {
        [DataMember]
        [Required(ErrorMessage = "required")]
        public DateTime SyncDate { get; set; }

        //-------------------------------------------------------------------------

        //-------------------------------------------------------------------------

        [ForeignKey("OrderSyncHistoryId")]
        public virtual List<OrderSyncHistoryRecord> OrderSyncHistoryRecords { get; set; }

        //-------------------------------------------------------------------------

        public OrderSyncHistory SecurityCheck(OrderSyncHistory entity, bool allowFullData) => entity;

        public override string ToString() => SyncDate.ToShortDateString();
    }
}