﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с преподавателями
	/// </summary>
	public class LecturerBusinessLogic : GenericBusinessLogic<LecturerGetBindingModel, LecturerSetBindingModel, LecturerListViewModel, LecturerViewModel>
	{
		public LecturerBusinessLogic(ILecturerService service) : base(service, "Преподаватели", AccessOperation.Преподаватели) { }
	}
}