﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с приказами
	/// </summary>
	public class OrderBusinessLogic : GenericBusinessLogic<OrderGetBindingModel, OrderSetBindingModel, OrderListViewModel, OrderViewModel>
	{
		public OrderBusinessLogic(IOrderService service) : base(service, "Приказы", AccessOperation.Приказы) { }
	}
}