﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.Interfaces;
using DepartmentBusinessLogic.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics
{
	/// <summary>
	/// Логика работы с записями историй синхронизации приказов
	/// </summary>
	public class OrderSyncHistoryRecordBusinessLogic : GenericBusinessLogic<OrderSyncHistoryRecordGetBindingModel, OrderSyncHistoryRecordSetBindingModel, OrderSyncHistoryRecordListViewModel, OrderSyncHistoryRecordViewModel>
	{
		public OrderSyncHistoryRecordBusinessLogic(IOrderSyncHistoryRecordService service) : base(service, "Синхронизация Приказов", AccessOperation.СинхронизацияПриказов) { }
	}
}