﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для записи учебного плана
	/// </summary>
	public partial class ControlAcademicPlanRecordElement :
		GenericControlEntityElement<AcademicPlanRecordGetBindingModel, AcademicPlanRecordSetBindingModel, AcademicPlanRecordListViewModel, AcademicPlanRecordViewModel, AcademicPlanRecordBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlAcademicPlanRecordElement()
		{
			InitializeComponent();
			Title = "Запись учебного планаs";
			ControlId = new Guid("0b6a43e8-c9a6-42c0-a3f3-f7e75b16d2f4");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAcademicPlanRecordElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}