﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для часов нагрузки записи учебного плана
	/// </summary>
	public partial class ControlAcademicPlanRecordTimeNormHourElement :
		GenericControlEntityElement<AcademicPlanRecordTimeNormHourGetBindingModel, AcademicPlanRecordTimeNormHourSetBindingModel, AcademicPlanRecordTimeNormHourListViewModel, AcademicPlanRecordTimeNormHourViewModel, AcademicPlanRecordTimeNormHourBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlAcademicPlanRecordTimeNormHourElement()
		{
			InitializeComponent();
			Title = "Часы нагрузки записи учебного плана";
			ControlId = new Guid("3c2d4cca-2b04-4207-96ff-3ffa7f9b5584");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAcademicPlanRecordTimeNormHourElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}