﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для приказа
	/// </summary>
	public partial class ControlOrderElement :
		GenericControlEntityElement<OrderGetBindingModel, OrderSetBindingModel, OrderListViewModel, OrderViewModel, OrderBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlOrderElement()
		{
			InitializeComponent();
			Title = "Приказ";
			ControlId = new Guid("f4637ef8-b1f4-4980-b0ef-776496e2a5dc");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}