﻿using DepartmentBusinessLogic.BindingModels;
using DepartmentBusinessLogic.BusinessLogics;
using DepartmentBusinessLogic.ViewModels;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using System;

namespace DepartmentWindowsDesktop.EntityControls
{
	/// <summary>
	/// Реализация контрола для нормы времени
	/// </summary>
	public partial class ControlTimeNormElement :
		GenericControlEntityElement<TimeNormGetBindingModel, TimeNormSetBindingModel, TimeNormListViewModel, TimeNormViewModel, TimeNormBusinessLogic>,
		IGenericControlEntityElement
	{
		public ControlTimeNormElement()
		{
			InitializeComponent();
			Title = "Норма времени";
			ControlId = new Guid("17e65fa1-e809-45fe-b21c-dbd2ecd53194");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlTimeNormElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}