﻿using SecurityContract.BindingModels;
using SecurityContract.ViewModels;
using ToolsModule.Interfaces;

namespace SecurityContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с общими настройками системы
    /// </summary>
    public interface IEnviromentSettingLogic : IGenericEntityLogic<EnviromentSettingGetBindingModel, EnviromentSettingSetBindingModel, EnviromentSettingListViewModel, EnviromentSettingViewModel> { }
}