﻿using ToolsModule.Interfaces;

namespace SecurityContract.Logics
{
    /// <summary>
    /// Логика синхронизации пользователей
    /// </summary>
    public interface ISynchronizationLogic : IErrors
	{
		/// <summary>
		/// Запуск синхронизации
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		bool RunSynchronization();
	}
}