﻿using SecurityContract.BindingModels;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace SecurityWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для настройки среды
    /// </summary>
    public partial class ControlEnviromentSettingElement : 
		GenericControlEntityElement<EnviromentSettingGetBindingModel, EnviromentSettingSetBindingModel, EnviromentSettingListViewModel, EnviromentSettingViewModel, IEnviromentSettingLogic>,
		IGenericControlEntityElement
	{
		public ControlEnviromentSettingElement()
		{
			InitializeComponent();
			Title = "Настройки Среды";
			ControlId = new Guid("9888d5c5-14d4-4528-a544-f0ede22aaad3");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlEnviromentSettingElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}