﻿using SecurityContract.BindingModels;
using SecurityContract.Logics.IGenericEntityLogic;
using SecurityContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace SecurityWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для роли
    /// </summary>
    public partial class ControlRoleElement : 
		GenericControlEntityElement<RoleGetBindingModel, RoleSetBindingModel, RoleListViewModel, RoleViewModel, IRoleLogic>,
		IGenericControlEntityElement
	{
		public ControlRoleElement()
		{
			InitializeComponent();
			Title = "Роли";
			ControlId = new Guid("a905bccb-048f-4249-8665-6e4bd06fa391");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlRoleElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}